<div class="cuerpo">
<div class="form-container mat-elevation-z5">
<!-- <h1 style="text-align:center;">Registrate</h1> -->
<br>
  <form [formGroup]="signUpForm" (ngSubmit)="submit()">
    
    <!-- Name -->
    <mat-form-field>
      <input matInput placeholder="Nombre" formControlName="name"  
      autocomplete="off" />
      <mat-error *ngIf="name?.errors?.['required']">
        Ingresar un nombre
      </mat-error>

    </mat-form-field>

    <!-- Email -->
    <mat-form-field>
      <input matInput placeholder="Correo electronico" formControlName="email" 
      autocomplete="off" />
      <mat-error *ngIf="email?.errors?.['required']">
        Ingresar un correo electronico
      </mat-error>

      <mat-error *ngIf="email?.errors?.['email']">
        Ingresar un correo electronico válido
      </mat-error>
    </mat-form-field>

    <!-- Contraseña -->
    <mat-form-field>
      <input
        matInput
        type="password"
        placeholder="Contraseña"
        formControlName="password"
      />
      <mat-error *ngIf="password?.errors?.['required']">
       Ingresar una contraseña 
      </mat-error>
    </mat-form-field>

    <!-- Confirmar contraseña -->
    <mat-form-field>
      <input
        matInput
        type="password"
        placeholder="Confirmar contraseña"
        formControlName="confirmPassword"
      />
      <mat-error *ngIf="confirmPassword?.errors?.['required']">
         Confirmar la contraseña
      </mat-error>

    </mat-form-field>
    <mat-error *ngIf="signUpForm.errors?.['passwordsDontMatch']" style="text-align:center;">
        La contraseña no coincide
    </mat-error>


    <div class="center margin-top">
      <button type="submit" 
              mat-raised-button style="background-color: rgb(116, 19, 19); color: rgb(225, 225, 225);  ">Registrate</button>
    </div>
  </form>
  </div>
</div>